Name: telepathy-mission-control
Version: 4.67
Release: alt1

Summary: Telepathy mission control plugin library
License: LGPL v2.1
Group: System/Libraries
Url: http://mission-control.sourceforge.net/

Source0: %name-%version.tar.gz

Packager: Igor Zubkov <icesik@altlinux.org>

# Automatically added by buildreq on Wed Apr 30 2008
BuildRequires: gcc-c++ libGConf-devel libgnome-keyring-devel libtelepathy-devel python-module-PyXML xsltproc

%description
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.

%package -n lib%name
Summary: Telepathy mission control plugin library
Group: System/Libraries

Obsoletes: %name
Provides: %name = %version-%release

%description -n lib%name
Mission Control, or MC, is a Telepathy component providing a way for
"end-user" applications to abstract some of the details of connection
managers, to provide a simple way to manipulate a bunch of connection
managers at once, and to remove the need to have in each program the
account definitions and credentials.

%package -n lib%name-devel
Summary: Development libraries and header files for %name
Group: Development/C
Requires: lib%name = %version-%release

Obsoletes: %name-devel
Provides: %name-devel = %version-%release

%description -n lib%name-devel
Development libraries and header files for %name.

%prep
%setup -q

%build
%configure \
	--disable-static
%make_build

%install
%make_install DESTDIR=%buildroot install

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name
%doc AUTHORS ChangeLog
%_bindir/*
%_libdir/lib*.so.*
%_libexecdir/mission-control
%_datadir/dbus-1/services/org.freedesktop.Telepathy.MissionControl.service

%files -n lib%name-devel
%_libdir/lib*.so
%dir %_includedir/libmissioncontrol
%_includedir/libmissioncontrol/*.h
%dir %_includedir/libmissioncontrol/_gen
%_includedir/libmissioncontrol/_gen/*.h
%dir %_includedir/mission-control
%_includedir/mission-control/*.h
%dir %_includedir/mission-control/_gen
%_includedir/mission-control/_gen/*.h
%dir %_includedir/libmcclient
%_includedir/libmcclient/*.h
%dir %_includedir/libmcclient/_gen
%_includedir/libmcclient/_gen/*.h
%_pkgconfigdir/*.pc
%dir %_datadir/gtk-doc/html/libmissioncontrol-server
%_datadir/gtk-doc/html/libmissioncontrol-server/*
%dir %_datadir/gtk-doc/html/libmissioncontrol
%_datadir/gtk-doc/html/libmissioncontrol/*

%changelog
* Sun Jul 20 2008 Igor Zubkov <icesik@altlinux.org> 4.67-alt1
- 4.66 -> 4.67

* Sat Jun 28 2008 Igor Zubkov <icesik@altlinux.org> 4.66-alt1
- 4.65 -> 4.66

* Wed Apr 30 2008 Igor Zubkov <icesik@altlinux.org> 4.65-alt1
- 4.60 -> 4.65
- buildreq

* Sat Feb 23 2008 Igor Zubkov <icesik@altlinux.org> 4.60-alt1
- 4.57 -> 4.60

* Fri Jan 25 2008 Igor Zubkov <icesik@altlinux.org> 4.57-alt2
- rename telepathy-mission-control to libtelepathy-mission-control
- rename telepathy-mission-control-devel to libtelepathy-mission-control-devel

* Fri Jan 25 2008 Igor Zubkov <icesik@altlinux.org> 4.57-alt1
- 4.55 -> 4.57

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 4.55-alt1
- 4.54 -> 4.55

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 4.54-alt1
- 4.53 -> 4.54

* Tue Jan 15 2008 Igor Zubkov <icesik@altlinux.org> 4.53-alt1
- 4.51 -> 4.53

* Tue Dec 11 2007 Igor Zubkov <icesik@altlinux.org> 4.51-alt1
- 4.49 -> 4.51
- buildreq

* Thu Oct 25 2007 Igor Zubkov <icesik@altlinux.org> 4.49-alt1
- 4.45 -> 4.49

* Thu Oct 04 2007 Igor Zubkov <icesik@altlinux.org> 4.45-alt1
- 4.42 -> 4.45

* Mon Sep 24 2007 Igor Zubkov <icesik@altlinux.org> 4.42-alt1
- 4.41 -> 4.42

* Thu Sep 20 2007 Igor Zubkov <icesik@altlinux.org> 4.41-alt1
- 4.39 -> 4.41

* Mon Sep 17 2007 Igor Zubkov <icesik@altlinux.org> 4.39-alt1
- 4.37 -> 4.39

* Thu Sep 06 2007 Igor Zubkov <icesik@altlinux.org> 4.37-alt1
- 4.34 -> 4.37

* Tue Aug 14 2007 Igor Zubkov <icesik@altlinux.org> 4.34-alt1
- 4.33 -> 4.34

* Thu Aug 09 2007 Igor Zubkov <icesik@altlinux.org> 4.33-alt1
- 4.31 -> 4.33

* Thu Aug 02 2007 Igor Zubkov <icesik@altlinux.org> 4.31-alt1
- 4.30 -> 4.31

* Tue Jul 17 2007 Igor Zubkov <icesik@altlinux.org> 4.30-alt1
- 4.26 -> 4.30

* Fri Jun 22 2007 Igor Zubkov <icesik@altlinux.org> 4.26-alt1
- build for Sisyphus


